<!DOCTYPE html>
<html lang="en">
<head>
    <script src=".././angular.min.js"></script>
    <script src="filter.js"></script>
    <title>Filter controller</title>
</head>
<body ng-app="filterModule">
<div ng-controller="filterCntr as ctr">
    <input type="text" ng-model="name"/>

    <p>Upper Case: {{name | uppercase}}</p>

    <p>Lower Case: {{name | lowercase}}</p>

    <ul>
        <li ng-repeat="x in ctr.array | orderBy:'-age' | limitTo:3">
            {{ x.name + ', ' + x.age }}

            <p>Currency Filter: {{x.age | currency}}</p>
        </li>
    </ul>


    <p> Filter by text:</p>


 <p>Search :   <input type="text" ng-model="search"/></p>

    <ul>
        <li ng-repeat="x in ctr.array | filter : search | filter : age">
           {{x.name + ', '+ x.age}}
        </li>
    </ul>

    <p>Custom filter : </p>

    <ul>
        <li ng-repeat="x in ctr.array ">
            {{x.name | myFormat}}
        </li>
    </ul>

</div>


</body>
</html>